<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
  public function up(): void
{
    Schema::table('whatsapp_accounts', function (Blueprint $table) {
        // $table->string('waba_id')->nullable()->after('user_id');
        // نحتاج لتوكن طويل الأمد لا ينتهي بسرعة
        $table->text('access_token')->change(); 
    });
}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('whatsapp_accounts', function (Blueprint $table) {
            //
        });
    }
};
